package de.hawhamburg.reachability.sensor.enumeration;

/**
 * Enumeration of different bed states.<br><br>
 * 
 * This enumeration provides the system with all defined states an intelligent bed may produce.
 * 
 * @author  {@value de.hawhamburg.reachability.ProjectInfo#REACHABILITY_AGENT_AUTHOR} 
 * @version {@value de.hawhamburg.reachability.ProjectInfo#REACHABILITY_AGENT_VERSION}
 */
public enum BedStates {
    /**
     * There is a state called <i>FREE</i> defined.
     */
    FREE,
    /**
     * There is a state called <i>OCCUPIED</i> defined.
     */
    OCCUPIED,
    /**
     * There is a state called <i>LIGHT_SLEEP</i> defined.
     */
    LIGHT_SLEEP,
    /**
     * There is a state called <i>DEEP_SLEEP</i> defined.
     */
    DEEP_SLEEP,
}
