package de.hawhamburg.reachability.ui.enumeration;

/**
 * Description of field types which may be used to display parameter formulas in configuration interfaces.<br><br>
 * 
 * This enumeration describes possible field types for configuration of parameters. They may be used to define the input
 * appearance of parameters in configuration formulas.
 * 
 * @author  {@value de.hawhamburg.reachability.ProjectInfo#REACHABILITY_AGENT_AUTHOR} 
 * @version {@value de.hawhamburg.reachability.ProjectInfo#REACHABILITY_AGENT_VERSION}
 */
public enum FieldType {
    /**
     * There is a filed type defined, called <i>FILE_CHOOSER</i>.
     */
    FILE_CHOOSER,
    
    /**
     * There is a filed type defined, called <i>INTEGER</i>.
     */
    INTEGER,
    
    /**
     * There is a filed type defined, called <i>INPUT</i>.
     */
    INPUT,
    
    /**
     * There is a filed type defined, called <i>TEXT</i>.
     */
    TEXT,
    
    /**
     * There is a filed type defined, called <i>BOOLEAN</i>.
     */
    BOOLEAN
}
